#!/bin/sh
#
# Script to convert old-style ChangeLog files into new-style NEWS files.
#
# Copyright (C) 2014  Patrick "P. J." McDermott
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

script='s/^\(.*\) (\(.*\))$/opkbuild version \1\n\n'
script="${script}"'Released: \2\n\nChanges in this release:/'

sed "${script}" "${1}" | \
	sed -n '/^opkbuild /{p; s/./-/gp; n;}; /^opkbuild /!p' | \
	grep -v '^  \['
